Bug 1169171 - hibernate-core shouldn't depend on ant build system
Summary: hibernate-core shouldn't depend on ant build system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hibernate
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2014-11-30 23:47 UTC by Peter Robinson
Modified: 2014-12-12 04:04 UTC (History)
2 users (show)

Fixed In Version: hibernate-4.3.5-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-12 04:04:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Robinson 2014-11-30 23:47:27 UTC
when you install hibernate-core it pulls in ant which in turn pulls in java-devel and a lot of build time dependencies that shouldn't be run time dependencies.

Pleas fix in F-21 and rawhide



11:45 PM root@switch:~ $ yum install Description of problem:
No package Description available.
No package of available.
^C11:45 PM root@switch:~ $ ^C
11:45 PM root@switch:~ $ ^C
11:45 PM root@switch:~ $ yum install hibernate-core
Resolving Dependencies
--> Running transaction check
---> Package hibernate-core.noarch 0:4.3.5-2.fc21 will be installed
--> Processing Dependency: mvn(org.jboss:jandex) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(org.jboss.spec.javax.security.jacc:jboss-jacc-api_1.4_spec) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(org.jboss.logging:jboss-logging-annotations) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(org.jboss.logging:jboss-logging) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(org.javassist:javassist) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(org.hibernate.common:hibernate-commons-annotations) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(org.apache.ant:ant) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(javax.validation:validation-api) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(dom4j:dom4j) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(com.fasterxml:classmate) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Processing Dependency: mvn(antlr:antlr) for package: hibernate-core-4.3.5-2.fc21.noarch
--> Running transaction check
---> Package ant.noarch 0:1.9.4-3.fc21 will be installed
--> Processing Dependency: java-devel >= 1:1.8.0 for package: ant-1.9.4-3.fc21.noarch
--> Processing Dependency: xml-commons-apis for package: ant-1.9.4-3.fc21.noarch
--> Processing Dependency: xerces-j2 for package: ant-1.9.4-3.fc21.noarch
---> Package antlr-tool.noarch 0:2.7.7-34.fc21 will be installed
---> Package bean-validation-api.noarch 0:1.1.0-3.fc21 will be installed
---> Package classmate.noarch 0:0.8.0-5.fc21 will be installed
---> Package dom4j.noarch 0:1.6.1-22.fc21 will be installed
--> Processing Dependency: jaxen-bootstrap >= 1.1-0.b7 for package: dom4j-1.6.1-22.fc21.noarch
--> Processing Dependency: xpp3 for package: dom4j-1.6.1-22.fc21.noarch
--> Processing Dependency: xpp2 for package: dom4j-1.6.1-22.fc21.noarch
--> Processing Dependency: xalan-j2 for package: dom4j-1.6.1-22.fc21.noarch
--> Processing Dependency: ws-jaxme for package: dom4j-1.6.1-22.fc21.noarch
--> Processing Dependency: relaxngDatatype for package: dom4j-1.6.1-22.fc21.noarch
--> Processing Dependency: msv-xsdlib for package: dom4j-1.6.1-22.fc21.noarch
--> Processing Dependency: msv-msv for package: dom4j-1.6.1-22.fc21.noarch
--> Processing Dependency: isorelax for package: dom4j-1.6.1-22.fc21.noarch
--> Processing Dependency: bea-stax-api for package: dom4j-1.6.1-22.fc21.noarch
--> Processing Dependency: bea-stax for package: dom4j-1.6.1-22.fc21.noarch
---> Package hibernate-commons-annotations.noarch 0:4.0.4-1.fc21 will be installed
---> Package hibernate-jpa-2.1-api.noarch 0:1.0.0-0.5.Draft.16.fc21 will be installed
---> Package jandex.noarch 0:1.1.0-3.fc21 will be installed
---> Package javassist.noarch 0:3.18.1-2.fc21 will be installed
---> Package jboss-jacc-1.4-api.noarch 0:1.0.2-7.fc21 will be installed
--> Processing Dependency: jboss-servlet-3.0-api for package: jboss-jacc-1.4-api-1.0.2-7.fc21.noarch
---> Package jboss-logging.noarch 0:3.1.4-3.fc21 will be installed
---> Package jboss-logging-tools.noarch 0:1.2.0-0.2.Beta1.fc21 will be installed
--> Processing Dependency: mvn(org.jboss.jdeparser:jdeparser) for package: jboss-logging-tools-1.2.0-0.2.Beta1.fc21.noarch
---> Package jboss-transaction-1.2-api.noarch 0:1.0.0-0.3.Alpha3.fc21 will be installed
--> Running transaction check
---> Package bea-stax.noarch 0:1.2.0-10.fc21 will be installed
---> Package bea-stax-api.noarch 0:1.2.0-10.fc21 will be installed
---> Package isorelax.noarch 1:0-0.16.release20050331.fc21 will be installed
---> Package java-1.8.0-openjdk-devel.armv7hl 1:1.8.0.25-4.b18.fc21 will be installed
--> Processing Dependency: java-1.8.0-openjdk = 1:1.8.0.25-4.b18.fc21 for package: 1:java-1.8.0-openjdk-devel-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libawt_xawt.so(SUNWprivate_1.1) for package: 1:java-1.8.0-openjdk-devel-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libawt_xawt.so for package: 1:java-1.8.0-openjdk-devel-1.8.0.25-4.b18.fc21.armv7hl
---> Package jaxen.noarch 0:1.1.6-4.fc21 will be installed
--> Processing Dependency: mvn(jdom:jdom) for package: jaxen-1.1.6-4.fc21.noarch
---> Package jboss-servlet-3.0-api.noarch 0:1.0.2-2.fc21 will be installed
---> Package jdeparser.noarch 0:1.0.0-3.fc21 will be installed
---> Package msv-msv.noarch 1:2013.6.1-4.fc21 will be installed
--> Processing Dependency: mvn(xml-resolver:xml-resolver) for package: 1:msv-msv-2013.6.1-4.fc21.noarch
---> Package msv-xsdlib.noarch 1:2013.6.1-4.fc21 will be installed
---> Package relaxngDatatype.noarch 0:1.0-12.5.fc21 will be installed
---> Package ws-jaxme.noarch 0:0.5.2-12.fc21 will be installed
--> Processing Dependency: junit for package: ws-jaxme-0.5.2-12.fc21.noarch
--> Processing Dependency: hsqldb1 for package: ws-jaxme-0.5.2-12.fc21.noarch
--> Processing Dependency: apache-commons-codec for package: ws-jaxme-0.5.2-12.fc21.noarch
---> Package xalan-j2.noarch 0:2.7.1-23.fc21 will be installed
---> Package xerces-j2.noarch 0:2.11.0-22.fc21 will be installed
---> Package xml-commons-apis.noarch 0:1.4.01-18.fc21 will be installed
---> Package xpp2.noarch 0:2.1.10-19.fc21 will be installed
---> Package xpp3.noarch 0:1.1.4-3.c.fc21 will be installed
--> Running transaction check
---> Package apache-commons-codec.noarch 0:1.9-4.fc21 will be installed
---> Package hsqldb1.noarch 0:1.8.1.3-4.fc21 will be installed
--> Processing Dependency: tomcat-servlet-3.0-api for package: hsqldb1-1.8.1.3-4.fc21.noarch
---> Package java-1.8.0-openjdk.armv7hl 1:1.8.0.25-4.b18.fc21 will be installed
--> Processing Dependency: xorg-x11-fonts-Type1 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libgif.so.4 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libasound.so.2 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libXtst.so.6 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libXrender.so.1 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libXi.so.6 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: libXext.so.6 for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
--> Processing Dependency: fontconfig for package: 1:java-1.8.0-openjdk-1.8.0.25-4.b18.fc21.armv7hl
---> Package jdom.noarch 0:1.1.3-7.fc21 will be installed
---> Package junit.noarch 1:4.11-14.fc21 will be installed
--> Processing Dependency: osgi(org.hamcrest.core) for package: 1:junit-4.11-14.fc21.noarch
--> Processing Dependency: hamcrest for package: 1:junit-4.11-14.fc21.noarch
---> Package xml-commons-resolver.noarch 0:1.2-17.fc21 will be installed
--> Running transaction check
---> Package alsa-lib.armv7hl 0:1.0.28-2.fc21 will be installed
---> Package fontconfig.armv7hl 0:2.11.1-5.fc21 will be installed
--> Processing Dependency: fontpackages-filesystem for package: fontconfig-2.11.1-5.fc21.armv7hl
--> Processing Dependency: font(:lang=en) for package: fontconfig-2.11.1-5.fc21.armv7hl
---> Package giflib.armv7hl 0:4.1.6-12.fc21 will be installed
--> Processing Dependency: libSM.so.6 for package: giflib-4.1.6-12.fc21.armv7hl
--> Processing Dependency: libICE.so.6 for package: giflib-4.1.6-12.fc21.armv7hl
---> Package hamcrest.noarch 0:1.3-8.fc21 will be installed
--> Processing Dependency: qdox for package: hamcrest-1.3-8.fc21.noarch
--> Processing Dependency: easymock3 for package: hamcrest-1.3-8.fc21.noarch
---> Package libXext.armv7hl 0:1.3.3-2.fc21 will be installed
---> Package libXi.armv7hl 0:1.7.4-2.fc21 will be installed
---> Package libXrender.armv7hl 0:0.9.8-4.fc21 will be installed
---> Package libXtst.armv7hl 0:1.2.2-4.fc21 will be installed
---> Package tomcat-servlet-3.0-api.noarch 0:7.0.54-3.fc21 will be installed
---> Package xorg-x11-fonts-Type1.noarch 0:7.5-14.fc21 will be installed
--> Processing Dependency: ttmkfdir for package: xorg-x11-fonts-Type1-7.5-14.fc21.noarch
--> Processing Dependency: ttmkfdir for package: xorg-x11-fonts-Type1-7.5-14.fc21.noarch
--> Processing Dependency: mkfontdir for package: xorg-x11-fonts-Type1-7.5-14.fc21.noarch
--> Processing Dependency: mkfontdir for package: xorg-x11-fonts-Type1-7.5-14.fc21.noarch
--> Running transaction check
---> Package easymock.noarch 0:3.2-3.fc21 will be installed
--> Processing Dependency: mvn(org.objenesis:objenesis) for package: easymock-3.2-3.fc21.noarch
--> Processing Dependency: mvn(net.sf.cglib:cglib) for package: easymock-3.2-3.fc21.noarch
---> Package fontpackages-filesystem.noarch 0:1.44-10.fc21 will be installed
---> Package libICE.armv7hl 0:1.0.9-2.fc21 will be installed
---> Package libSM.armv7hl 0:1.2.2-2.fc21 will be installed
---> Package lyx-fonts.noarch 0:2.1.2-1.fc21 will be installed
---> Package qdox.noarch 0:1.12.1-10.fc21 will be installed
---> Package ttmkfdir.armv7hl 0:3.0.9-44.fc21 will be installed
---> Package xorg-x11-font-utils.armv7hl 1:7.5-25.fc21 will be installed
--> Processing Dependency: libfontenc.so.1 for package: 1:xorg-x11-font-utils-7.5-25.fc21.armv7hl
--> Processing Dependency: libXfont.so.1 for package: 1:xorg-x11-font-utils-7.5-25.fc21.armv7hl
--> Running transaction check
---> Package cglib.noarch 0:3.1-4.fc21 will be installed
---> Package libXfont.armv7hl 0:1.5.0-2.fc21 will be installed
---> Package libfontenc.armv7hl 0:1.1.2-3.fc21 will be installed
---> Package objenesis.noarch 0:1.2-16.fc21 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                                            Arch                         Version                                              Repository                   Size
========================================================================================================================================================================
Installing:
 hibernate-core                                     noarch                       4.3.5-2.fc21                                         fedora                      4.5 M
Installing for dependencies:
 alsa-lib                                           armv7hl                      1.0.28-2.fc21                                        fedora                      340 k
 ant                                                noarch                       1.9.4-3.fc21                                         fedora                      2.0 M
 antlr-tool                                         noarch                       2.7.7-34.fc21                                        fedora                      362 k
 apache-commons-codec                               noarch                       1.9-4.fc21                                           fedora                      228 k
 bea-stax                                           noarch                       1.2.0-10.fc21                                        fedora                      178 k
 bea-stax-api                                       noarch                       1.2.0-10.fc21                                        fedora                       32 k
 bean-validation-api                                noarch                       1.1.0-3.fc21                                         fedora                       57 k
 cglib                                              noarch                       3.1-4.fc21                                           fedora                      261 k
 classmate                                          noarch                       0.8.0-5.fc21                                         fedora                       66 k
 dom4j                                              noarch                       1.6.1-22.fc21                                        fedora                      285 k
 easymock                                           noarch                       3.2-3.fc21                                           fedora                      124 k
 fontconfig                                         armv7hl                      2.11.1-5.fc21                                        fedora                      221 k
 fontpackages-filesystem                            noarch                       1.44-10.fc21                                         fedora                       10 k
 giflib                                             armv7hl                      4.1.6-12.fc21                                        fedora                       42 k
 hamcrest                                           noarch                       1.3-8.fc21                                           fedora                      129 k
 hibernate-commons-annotations                      noarch                       4.0.4-1.fc21                                         fedora                       82 k
 hibernate-jpa-2.1-api                              noarch                       1.0.0-0.5.Draft.16.fc21                              fedora                       94 k
 hsqldb1                                            noarch                       1.8.1.3-4.fc21                                       fedora                      715 k
 isorelax                                           noarch                       1:0-0.16.release20050331.fc21                        fedora                       76 k
 jandex                                             noarch                       1.1.0-3.fc21                                         fedora                       75 k
 java-1.8.0-openjdk                                 armv7hl                      1:1.8.0.25-4.b18.fc21                                fedora                      190 k
 java-1.8.0-openjdk-devel                           armv7hl                      1:1.8.0.25-4.b18.fc21                                fedora                      7.3 M
 javassist                                          noarch                       3.18.1-2.fc21                                        fedora                      676 k
 jaxen                                              noarch                       1.1.6-4.fc21                                         fedora                      204 k
 jboss-jacc-1.4-api                                 noarch                       1.0.2-7.fc21                                         fedora                       46 k
 jboss-logging                                      noarch                       3.1.4-3.fc21                                         fedora                       65 k
 jboss-logging-tools                                noarch                       1.2.0-0.2.Beta1.fc21                                 fedora                      174 k
 jboss-servlet-3.0-api                              noarch                       1.0.2-2.fc21                                         fedora                      189 k
 jboss-transaction-1.2-api                          noarch                       1.0.0-0.3.Alpha3.fc21                                fedora                       41 k
 jdeparser                                          noarch                       1.0.0-3.fc21                                         fedora                      162 k
 jdom                                               noarch                       1.1.3-7.fc21                                         fedora                      176 k
 junit                                              noarch                       1:4.11-14.fc21                                       fedora                      260 k
 libICE                                             armv7hl                      1.0.9-2.fc21                                         fedora                       64 k
 libSM                                              armv7hl                      1.2.2-2.fc21                                         fedora                       42 k
 libXext                                            armv7hl                      1.3.3-2.fc21                                         fedora                       38 k
 libXfont                                           armv7hl                      1.5.0-2.fc21                                         fedora                      141 k
 libXi                                              armv7hl                      1.7.4-2.fc21                                         fedora                       40 k
 libXrender                                         armv7hl                      0.9.8-4.fc21                                         fedora                       27 k
 libXtst                                            armv7hl                      1.2.2-4.fc21                                         fedora                       23 k
 libfontenc                                         armv7hl                      1.1.2-3.fc21                                         fedora                       33 k
 lyx-fonts                                          noarch                       2.1.2-1.fc21                                         fedora                      170 k
 msv-msv                                            noarch                       1:2013.6.1-4.fc21                                    fedora                      626 k
 msv-xsdlib                                         noarch                       1:2013.6.1-4.fc21                                    fedora                      223 k
 objenesis                                          noarch                       1.2-16.fc21                                          fedora                       64 k
 qdox                                               noarch                       1.12.1-10.fc21                                       fedora                      170 k
 relaxngDatatype                                    noarch                       1.0-12.5.fc21                                        fedora                       16 k
 tomcat-servlet-3.0-api                             noarch                       7.0.54-3.fc21                                        fedora                      208 k
 ttmkfdir                                           armv7hl                      3.0.9-44.fc21                                        fedora                       48 k
 ws-jaxme                                           noarch                       0.5.2-12.fc21                                        fedora                      1.1 M
 xalan-j2                                           noarch                       2.7.1-23.fc21                                        fedora                      1.9 M
 xerces-j2                                          noarch                       2.11.0-22.fc21                                       fedora                      1.2 M
 xml-commons-apis                                   noarch                       1.4.01-18.fc21                                       fedora                      228 k
 xml-commons-resolver                               noarch                       1.2-17.fc21                                          fedora                      110 k
 xorg-x11-font-utils                                armv7hl                      1:7.5-25.fc21                                        fedora                       83 k
 xorg-x11-fonts-Type1                               noarch                       7.5-14.fc21                                          fedora                      522 k
 xpp2                                               noarch                       2.1.10-19.fc21                                       fedora                      266 k
 xpp3                                               noarch                       1.1.4-3.c.fc21                                       fedora                      325 k

Transaction Summary
========================================================================================================================================================================
Install  1 Package (+57 Dependent packages)

Total download size: 27 M
Installed size: 61 M

Comment 1 Fedora Update System 2014-12-01 03:50:44 UTC
hibernate-4.3.5-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/hibernate-4.3.5-3.fc21

Comment 2 Fedora Update System 2014-12-02 01:03:52 UTC
Package hibernate-4.3.5-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hibernate-4.3.5-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16074/hibernate-4.3.5-3.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-12-12 04:04:43 UTC
hibernate-4.3.5-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.